# OLE

A simple parser and reader for Microsoft Compound Document File.

This includes a basic parser, which validates the format of a given file or a
given stream. It includes a reader too, for iterating over entries and for
extracting files inside the OLE storage.

## Usage

Add this to your `Cargo.toml`:

```toml
[dependencies]
ole = "0.1.0"
```

and this to your crate root:

```rust
extern crate ole;
```

## Releases

Release notes are available in [RELEASES.md](RELEASES.md).

## Compatibility

`ole` seems to work for rust 1.9 and greater.

## License

<http://www.wtfpl.net/about/>
